## GOFormatSel GOFormatSel |

## Functions

void | go_format_sel_editable_enters ()
char const * | go_format_sel_format_classification ()
GODateConventions const * | go_format_sel_get_dateconv ()
GOFormat const * | go_format_sel_get_fmt ()
void | go_format_sel_hide_preview ()
GtkWidget * | go_format_sel_new ()
GtkWidget * | go_format_sel_new_full ()
void | go_format_sel_set_dateconv ()
void | go_format_sel_set_focus ()
void | go_format_sel_set_locale ()
void | go_format_sel_set_style_format ()
void | go_format_sel_show_preview ()

## Signals

void | format-changed | Run Last
gchar* | generate-preview | Run Last

## Types and Values

| GOFormatSel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GOFormatSel

## Implemented Interfaces

GOFormatSel implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### go_format_sel_editable_enters ()

    void
    go_format_sel_editable_enters (GOFormatSel *gfs,
                                   GtkWindow *window);

### go_format_sel_format_classification ()

    char const *
    go_format_sel_format_classification (GOFormat const *style_format);

### go_format_sel_get_dateconv ()

    GODateConventions const *
    go_format_sel_get_dateconv (GOFormatSel *gfs);

#### Parameters

gfs | GOFormatSel |

#### Returns

the GODateConventions.

[transfer none]

### go_format_sel_get_fmt ()

    GOFormat const *
    go_format_sel_get_fmt (GOFormatSel *gfs);

#### Parameters

gfs | GOFormatSel |

#### Returns

the GOFormat.

[transfer none]

### go_format_sel_hide_preview ()

    void
    go_format_sel_hide_preview (GOFormatSel *gfs);

### go_format_sel_new ()

    GtkWidget *
    go_format_sel_new (void);

Creates a format selector widget, with general format selected by default, and formats using pango markup disabled. See `go_format_sel_new_full` .

#### Returns

a format selector widget.

### go_format_sel_new_full ()

    GtkWidget *
    go_format_sel_new_full (gboolean use_markup);

Creates a format selector widget, with general format selected by default. When `use_markup` is set to `TRUE`, it shows additional widgets for editing properties of formats using pango markup (e.g. scientific format with superscripted exponent).

#### Parameters

use_markup | enable formats using pango markup |

#### Returns

a format selector widget.

### go_format_sel_set_dateconv ()

    void
    go_format_sel_set_dateconv (GOFormatSel *gfs,
                                GODateConventions const *date_conv);

### go_format_sel_set_focus ()

    void
    go_format_sel_set_focus (GOFormatSel *gfs);

### go_format_sel_set_locale ()

    void
    go_format_sel_set_locale (GOFormatSel *gfs,
                              char const *locale);

### go_format_sel_set_style_format ()

    void
    go_format_sel_set_style_format (GOFormatSel *gfs,
                                    GOFormat const *style_format);

### go_format_sel_show_preview ()

    void
    go_format_sel_show_preview (GOFormatSel *gfs);

## Types and Values

### GOFormatSel

    typedef struct _GOFormatSel GOFormatSel;

## Signal Details

### The `“format-changed”` signal

    void
    user_function (GOFormatSel *goformatsel,
                   gpointer     arg1,
                   gpointer     user_data)

Flags: Run Last

### The `“generate-preview”` signal

    gchar*
    user_function (GOFormatSel *goformatsel,
                   gpointer     arg1,
                   gpointer     user_data)

Flags: Run Last